org.richfaces.renderkit

## Class PickListRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.PickListRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    PickListRendererGen

      public class PickListRenderer
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `PickListRenderer.ListStateFlags`

  - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickListRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeControlFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, javax.faces.context.ResponseWriter writer, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
    `void` | `encodeHiddenField(javax.faces.context.FacesContext context, UIPickList pickList)`
    `void` | `encodeItem(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.model.SelectItem selectItem, boolean source, java.lang.String suff)`
    `void` | `encodePickListControlsFacets(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, PickListRenderer.ListStateFlags listStateFlags)`
    `void` | `encodeSourceRows(javax.faces.context.FacesContext context, UIPickList pickList, PickListRenderer.ListStateFlags flags)`
    `protected void` | `encodeSpacer(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)`
    `void` | `encodeTargetRows(javax.faces.context.FacesContext context, UIPickList pickList, PickListRenderer.ListStateFlags flags)`
    `protected java.lang.String` | `findLocalisedLabel(javax.faces.context.FacesContext context, java.lang.String propertyId, java.lang.String bundleName)`
    `java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
    `protected java.util.List<java.lang.String>` | `getClassesAsList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attr)`
    `java.lang.String` | `getColumnClassesAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
    `protected java.lang.ClassLoader` | `getCurrentLoader(java.lang.Object fallbackClass)`
    `java.lang.String` | `getRowClassesAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.util.List<javax.faces.model.SelectItem>` | `getSelectItemsList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.util.List<java.lang.Object>` | `getValuesList(UIPickList pickList)`
    `protected void` | `renderDefaultControl(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
    `void` | `reRenderScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.util.List<javax.faces.model.SelectItem>` | `selectItemsForAvailableList(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.util.List<javax.faces.model.SelectItem> selectItemList, java.util.List<javax.faces.model.SelectItem> selectItemsForSelectedList)`
    `protected java.util.List<javax.faces.model.SelectItem>` | `selectItemsForSelectedList(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.util.List<javax.faces.model.SelectItem> selectItemList, java.util.List<java.lang.Object> lookupList)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PickListRenderer

          public PickListRenderer()

  - ### Method Detail

    - #### selectItemsForSelectedList

          protected java.util.List<javax.faces.model.SelectItem> selectItemsForSelectedList(javax.faces.context.FacesContext facesContext,
                                                                                javax.faces.component.UIComponent uiComponent,
                                                                                java.util.List<javax.faces.model.SelectItem> selectItemList,
                                                                                java.util.List<java.lang.Object> lookupList)

    - #### getValuesList

          protected java.util.List<java.lang.Object> getValuesList(UIPickList pickList)

    - #### selectItemsForAvailableList

          protected java.util.List<javax.faces.model.SelectItem> selectItemsForAvailableList(javax.faces.context.FacesContext facesContext,
                                                                                 javax.faces.component.UIComponent uiComponent,
                                                                                 java.util.List<javax.faces.model.SelectItem> selectItemList,
                                                                                 java.util.List<javax.faces.model.SelectItem> selectItemsForSelectedList)

    - #### getSelectItemsList

          protected java.util.List<javax.faces.model.SelectItem> getSelectItemsList(javax.faces.context.FacesContext context,
                                                                        javax.faces.component.UIComponent component)

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                    javax.faces.component.UIComponent component)

      Overrides:
        `decode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getConvertedValue

          public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component,
                                           java.lang.Object submittedValue)
                                             throws javax.faces.convert.ConverterException

      Overrides:
        `getConvertedValue` in class `javax.faces.render.Renderer`
      Throws:
        `javax.faces.convert.ConverterException`

    - #### encodeItem

          public void encodeItem(javax.faces.context.FacesContext context,
                        javax.faces.component.UIComponent component,
                        javax.faces.convert.Converter converter,
                        javax.faces.model.SelectItem selectItem,
                        boolean source,
                        java.lang.String suff)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeTargetRows

          public void encodeTargetRows(javax.faces.context.FacesContext context,
                              UIPickList pickList,
                              PickListRenderer.ListStateFlags flags)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeSourceRows

          public void encodeSourceRows(javax.faces.context.FacesContext context,
                              UIPickList pickList,
                              PickListRenderer.ListStateFlags flags)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeSpacer

          protected void encodeSpacer(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component,
                          javax.faces.context.ResponseWriter writer)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeHiddenField

          public void encodeHiddenField(javax.faces.context.FacesContext context,
                               UIPickList pickList)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getAsEventHandler

          public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component,
                                           java.lang.String attributeName)

    - #### getColumnClassesAsJSArray

          public java.lang.String getColumnClassesAsJSArray(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent component)

    - #### getRowClassesAsJSArray

          public java.lang.String getRowClassesAsJSArray(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component)

    - #### getClassesAsList

          protected java.util.List<java.lang.String> getClassesAsList(javax.faces.context.FacesContext context,
                                                          javax.faces.component.UIComponent component,
                                                          java.lang.String attr)

    - #### encodePickListControlsFacets

          public void encodePickListControlsFacets(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          PickListRenderer.ListStateFlags listStateFlags)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeControlFacet

          protected void encodeControlFacet(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                OrderingComponentRendererBase.ControlsHelper helper,
                                java.lang.String clientId,
                                javax.faces.context.ResponseWriter writer,
                                boolean enabled,
                                java.lang.String baseStyle,
                                java.lang.String baseControlStyle)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCurrentLoader

          protected java.lang.ClassLoader getCurrentLoader(java.lang.Object fallbackClass)

    - #### findLocalisedLabel

          protected java.lang.String findLocalisedLabel(javax.faces.context.FacesContext context,
                                            java.lang.String propertyId,
                                            java.lang.String bundleName)

    - #### renderDefaultControl

          protected void renderDefaultControl(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component,
                                  javax.faces.context.ResponseWriter writer,
                                  OrderingComponentRendererBase.ControlsHelper helper,
                                  java.lang.String clientId,
                                  boolean enabled,
                                  java.lang.String baseStyle,
                                  java.lang.String baseControlStyle)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### reRenderScript

          public void reRenderScript(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.